<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-configuration PUBLIC "-//Hibernate/Hibernate Configuration DTD 3.0//EN" "http://hibernate.sourceforge.net/hibernate-configuration-3.0.dtd">
<hibernate-configuration>
    <session-factory>
        <property name="hibernate.dialect">org.hibernate.dialect.MySQLDialect</property>
        <property name="hibernate.connection.driver_class">com.mysql.cj.jdbc.Driver</property>
        <property name="hibernate.connection.url">${hibernate.connection.url}</property>
        <property name="hibernate.connection.username">${hibernate.connection.username}</property>
        <property name="hibernate.connection.password">${hibernate.connection.password}</property>
        <property name="hibernate.connection.noAccessToProcedureBodies">${hibernate.connection.noAccessToProcedureBodies}</property>
        <property name="hibernate.connection.useSSL">${hibernate.connection.useSSL}</property>
        <!-- Fin -->
        <property name="hibernate.c3p0.min_size">20</property>
        <property name="hibernate.c3p0.max_size">50</property>
        <property name="hibernate.c3p0.timeout">1800</property>
        <property name="hibernate.c3p0.max_statements">50</property>
        <property name="hibernate.c3p0.idle_test_period">1500</property>
        <property name="hibernate.show_sql">false</property>
        <property name="hibernate.format_sql">false</property>
        <property name="hibernate.enable_lazy_load_no_trans">true</property>
        <property name="hibernate.current_session_context_class">thread</property>
        <mapping resource="com/arrebol/taxiservicios/model/core/Person.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/core/PersonCommercialInvoice.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/core/User.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/core/Address.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/core/ContactNumber.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/core/Permission.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/core/UserHasPermission.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/core/SystemProperty.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/dashboard/ToCollect.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/dashboard/FeeDashboardPersonListView.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/catalog/Brand.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/catalog/Product.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/catalog/Vehicle.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/catalog/Color.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/catalog/Holiday.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/catalog/Location.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/catalog/BankCard.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/catalog/ExpenseIncomeCatalog.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/Taxi.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/Document.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/Reference.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/Service.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/PersonHasService.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/Sale.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/Contract.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/ContractHasService.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/Expense.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/Sanction.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/EmployeeSanction.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/ExpenseCompany.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/StableGeneralBox.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/StableSmallBox.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/ClosingDay.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/ClosingDayDetail.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/FeeByDriver.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/admin/TicketView.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/Bitacora.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/Transfer.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/ReleaseResource.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/FinancingCustomer.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/FinancingDriver.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/AvisosChofer.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/GeneralPublic.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/SaleGeneralPublic.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/SaleDetailGeneralPublic.hbm.xml"/>        
        <mapping resource="com/arrebol/taxiservicios/model/admin/TransferMoneyLocation.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/Taxes.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/admin/TiempoAire.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/payroll/Payroll.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/payroll/Adelantos.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/TransferStocktaking.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/TransferStocktakingHasProduct.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/TransferStocktakingHasProductBk.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/TransferVehicle.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/Invoice.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/ReturnInvoice.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/InvoiceHasProduct.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/ServiceOrder.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/ServiceOrderHasProduct.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/ProductInvoiceBk.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/ServiceOrderNotification.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/ServiceOrderNotificationDeliveryTo.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/view/StocktakingInvoice.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/view/KardexInStocktaking.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/view/KardexOutStocktaking.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/view/KardexView.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/view/HistoryUpdateKm.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/StocktakingMovements.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/ChangeAmountProduct.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/CheckStocktaking.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/stocktaking/CheckStocktakingDetail.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/PersonListView.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/PersonListFinancingView.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/PersonListCustomerFinancingView.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/DriverInactiveAndBlackListView.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/admin/ViewDailyCashByUser.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/admin/TransferView.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/admin/FeeByDriverAdminView.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/dashboard/DashboardToCollectView.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/dashboard/PersonSearchByActiveAndBlackListView.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/dashboard/MaintenanceView.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/dashboard/InsuranceDashboardListView.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/dashboard/FeeByDriverDashboardView.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/dashboard/SaleDashboardView.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/jaas/SecurityAuthentication.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/jaas/SecurityAuthorization.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/report/DailySale.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/report/SavingDriver.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/report/DailyMoney.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/view/report/PaymentClient.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/notification/StopNotification.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/mutual/MutualAdd.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/mutual/MutualOut.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/mutual/MutualClosingDay.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/mutual/MutualClosingDayDetail.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/mutual/TransferMutual.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/mutual/MutualStableSmallBox.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/mutual/MutualExpenseCompany.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/mutual/MutualInicios.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/mutual/MutualStableGeneralBox.hbm.xml"/>
        
        <mapping class="com.arrebol.taxiservicios.model.catalog.ClaveProductoServicio"/>
        <mapping class="com.arrebol.taxiservicios.model.juridicas.DetalleLoteEtapa"/>
        <mapping class="com.arrebol.taxiservicios.model.catalog.ClaveUnidad"/>
        <mapping class="com.arrebol.taxiservicios.model.catalog.RegimenFiscal"/>
        <mapping class="com.arrebol.taxiservicios.model.catalog.BankCardKardex"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.Predio"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.Lote"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.Manzana"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.PropietarioPredio"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.Urbanizacion"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.DetalleLoteUrbanizacion"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.AbonoLote"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.AbonoLoteDetalle"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.ComentarioLote"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.AbonoProyecto"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.AbonoLoteView"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.AbonosView"/>
        <mapping resource="com/arrebol/taxiservicios/model/inmobiliaria/view/PreCobranzaView.hbm.xml"/>
        <mapping class="com.arrebol.taxiservicios.model.catalog.MensajePredefinido"/>
        <mapping class="com.arrebol.taxiservicios.model.catalog.EtapasJuridico"/>
        <mapping class="com.arrebol.taxiservicios.model.catalog.Documento"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.MensajeEnviado"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.CompraLoteCancelada"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.SolicitudesCancelacionCompraLote"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.RembolsosCancelacionCompraLote"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.AbonosRembolsoCancelacionCompraLote"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.proyectosLotesView"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.SolicitudTrasferenciaLote"/>
        <mapping class="com.arrebol.taxiservicios.model.catalog.UserLocation"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.DevolucionAbono"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.DevolucionAbonoEntrada"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.SolicitudDevolucionAbono"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.FoliosCancelados"/>
        <mapping class="com.arrebol.taxiservicios.model.catalog.Paquetes"/>
        <mapping class="com.arrebol.taxiservicios.model.catalog.LocationPaquetes"/>
        <mapping class="com.arrebol.taxiservicios.model.view.report.AbonoTotalPay"/>
        <mapping class="com.arrebol.taxiservicios.model.catalog.UserOpenPay"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.HitorialAbonoMultiple"/>
        <mapping class="com.arrebol.taxiservicios.model.predio.SolicitudDevolucionAbonoMultiple"/>
        
        <!-- SPA -->
        <mapping class="com.arrebol.taxiservicios.model.spa.CatalogoProductos"/>
        <mapping class="com.arrebol.taxiservicios.model.spa.Cabinas"/>
        <mapping class="com.arrebol.taxiservicios.model.spa.Pagos"/>
        <mapping class="com.arrebol.taxiservicios.model.spa.Ventas"/>
        <mapping class="com.arrebol.taxiservicios.model.spa.VentaDetalles"/>
        <mapping class="com.arrebol.taxiservicios.model.spa.PagosDetalle"/>
        <mapping class="com.arrebol.taxiservicios.model.spa.Cesiones"/>
        <mapping class="com.arrebol.taxiservicios.model.spa.PagosSpaView"/>
        <mapping class="com.arrebol.taxiservicios.model.spa.HistorialAbonoMultipleSpa"/>
        <mapping class="com.arrebol.taxiservicios.model.spa.SolicitudDevolucionPagoVenta"/>
        <mapping class="com.arrebol.taxiservicios.model.spa.SolicitudesCancelacionVenta"/>
        <mapping class="com.arrebol.taxiservicios.model.spa.DevolucionPagoVenta"/>
        
        <!-- TOURS -->
        <mapping class="com.arrebol.taxiservicios.model.tours.Tours"/>
        <mapping class="com.arrebol.taxiservicios.model.tours.DetallesPagoEspacios"/>
        <mapping class="com.arrebol.taxiservicios.model.tours.EspaciosTour"/>
        <mapping class="com.arrebol.taxiservicios.model.tours.PagosEspacioTour"/>
        <mapping class="com.arrebol.taxiservicios.model.tours.PagosEspaciosTourDetalle"/>
         <mapping class="com.arrebol.taxiservicios.model.tours.HistorialAbonoMultipleTours"/>
        <mapping class="com.arrebol.taxiservicios.model.tours.PagosEspaciosTourView"/>
        <mapping class="com.arrebol.taxiservicios.model.tours.EspaciosTourView"/>
        
        <!-- Queries for Table mapping -->
        <mapping resource="com/arrebol/taxiservicios/model/queries/user-named-queries.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/queries/person-named-queries.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/queries/permission-named-queries.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/queries/user-has-permission-named-queries.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/queries/service-order-notification-named-queries.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/queries/service-order-notification-delivery-to-named-queries.hbm.xml"/>
        <mapping resource="com/arrebol/taxiservicios/model/queries/stop-notification-named-queries.hbm.xml"/>                
        
    </session-factory>
</hibernate-configuration>
